function Out = EqCond3(R,beta,P,p,phi,A,alpha,delta)

S = length(beta);
[v,~] = eigs(P',1);
pi = v/sum(v); % stationary distribution
B = (eye(S) - (1-p)*diag(beta)*P)\ones(S,1);
M = diag(1./B); % diagonal matrix of MPC

wage = A^(1/(1-alpha))*(1-alpha)*((R-1+delta)/alpha)^(alpha/(alpha-1)); % wage
yEff = (1-phi)*wage; % disposable income
h = yEff/(1-(1-p)/R); % human capital

C = P'*(eye(S)-M);

Kvec = h*((eye(S) - R*C)\(C*pi - ((1-p)/R)*pi)); % vector of aggregate capital supply
Kd = ((R-1+delta)/(A*alpha))^(1/(alpha-1)); % capital demand

Out = Kd - sum(Kvec); % excess demand of capital

end

