function Out = calibError3(beta,P,p,phi,A,alpha,delta,aMultiple,Ngrid,topProb,wealthShareHat,zetaHat)
% define calibration error

try
    [~,~,~,~,zeta,aGrid,aDist] = getStationaryEq3(beta,P,p,phi,A,alpha,delta,aMultiple,Ngrid);
    % compute stationary equilibrium
catch
    Out = 1e6;
    return
end

wealthShare = getTopShares(topProb,aGrid,aDist,zeta); % wealth shares

Out = sum((wealthShareHat./wealthShare - 1).^2)+(zetaHat./zeta - 1)^2; % norm of relative error

end

