%% calibrate q and phi
% compute top wealth shares from data and set Pareto exponent
temp = xlsread('dfa-networth-shares.csv','AC442:AC489');
temp = reshape(temp,4,length(temp)/4);

wealthShareHat = mean(temp,2)/100;
wealthShareHat = cumsum(wealthShareHat(1:3));
zetaHat = 1.52; % estimate from Vermeulen (2018)
topProb = [1 10 50]/100;

% set exogenous parameters
test_getStationaryEq3

% define objective function
func = @(theta)calibError3(beta,...
    [1-theta(1) theta(1) 0; theta(1)/2 1-theta(1) theta(1)/2; 0 theta(1) 1-theta(1)]...
    ,p,theta(2),A,alpha,delta,aMultiple,Ngrid,topProb,wealthShareHat,zetaHat);

theta0 = [0.1 0.75]';
lb = [0 0]';
ub = [0.5 0.9]';

options = optimset('Display','Iter');
[theta,fval] = fmincon(func,theta0,[],[],[],[],lb,ub,[],options);

q = theta(1);
phi = theta(2);

% compute equilibrium and check wealth shares and Pareto exponent
[R,wage,mvec,Kvec,zeta,aGrid,aDist] = getStationaryEq3(beta,P,p,phi,A,alpha,delta,aMultiple,Ngrid);

wealthShare = getTopShares(topProb,aGrid,aDist,zeta);

[zetaHat zeta]
100*[wealthShareHat wealthShare]