%% figure formatting

set(0,'DefaultTextInterpreter','latex')
set(0,'DefaultAxesTickLabelInterpreter','latex');
set(0,'DefaultLegendInterpreter', 'latex')
   
set(0,'DefaultTextFontSize', 14)
set(0,'DefaultAxesFontSize', 14)
set(0,'DefaultLineLineWidth',2)

temp = get(gca,'ColorOrder');
c1 = temp(1,:);
c2 = temp(2,:);
c3 = temp(3,:);
c4 = temp(4,:);

close all

%% define parameters

A = 1;                  % TFP
alpha = 0.38;           % capital share
delta = 0.08;           % capital depreciation
beta = [0.9 0.95 1]';   % vector of discount factors
q = 0.0927;             % probability of switching patience state
phi = 0.7286;           % fraction of non-discretionary consumption

S = length(beta);       % number of patience state
P = eye(3) + q*[-1 1 0;1/2 -1 1/2; 0 1 -1]; % transition probability matrix
p = 1/40;               % reset probability

[v,~] = eigs(P',1);
pi = v/sum(v);          % stationary distribution of patience state

aMultiple = 100;        % parameter to define largest grid point (multiple of typical value)
Ngrid = 1000;           % number of grid points

%% compute stationary equilibrium
tic
[R,wage,mvec,Kvec,zeta,aGrid,aDist] = getStationaryEq3(beta,P,p,phi,A,alpha,delta,aMultiple,Ngrid);
toc